using MongoDB.Bson;
using MongoDB.Driver;

namespace adas_core.Application.Repositories.Interfaces;

public interface IMongoRepository<T>
{
    IMongoCollection<T> Collection { get; }

    string GetCollectionName();
    Task InsertOneAsync(T obj);
    Task<T?> DeleteAsync(ObjectId id);
    Task UpdateOneAsync(ObjectId id, T obj);
}